diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-operating-channel-test.cc ns-3.44/src/wifi/test/wifi-operating-channel-test.cc
--- ns-3.43/src/wifi/test/wifi-operating-channel-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-operating-channel-test.cc	2025-03-09 16:55:49.811372800 -0700
@@ -921,10 +960,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief wifi operating channel test suite
+ * @brief wifi operating channel test suite
  */
 class WifiOperatingChannelTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-phy-cca-test.cc ns-3.44/src/wifi/test/wifi-phy-cca-test.cc
--- ns-3.43/src/wifi/test/wifi-phy-cca-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-phy-cca-test.cc	2025-03-09 16:55:49.811372800 -0700
@@ -39,13 +39,13 @@
 
 NS_LOG_COMPONENT_DEFINE("WifiPhyCcaTest");
 
-constexpr MHz_u P20_CENTER_FREQUENCY = 5180;
-constexpr MHz_u S20_CENTER_FREQUENCY = P20_CENTER_FREQUENCY + 20;
-constexpr MHz_u P40_CENTER_FREQUENCY = P20_CENTER_FREQUENCY + 10;
-constexpr MHz_u S40_CENTER_FREQUENCY = P40_CENTER_FREQUENCY + 40;
-constexpr MHz_u P80_CENTER_FREQUENCY = P40_CENTER_FREQUENCY + 20;
-constexpr MHz_u S80_CENTER_FREQUENCY = P80_CENTER_FREQUENCY + 80;
-constexpr MHz_u P160_CENTER_FREQUENCY = P80_CENTER_FREQUENCY + 40;
+constexpr MHz_u P20_CENTER_FREQUENCY{5180};
+constexpr MHz_u S20_CENTER_FREQUENCY = P20_CENTER_FREQUENCY + MHz_u{20};
+constexpr MHz_u P40_CENTER_FREQUENCY = P20_CENTER_FREQUENCY + MHz_u{10};
+constexpr MHz_u S40_CENTER_FREQUENCY = P40_CENTER_FREQUENCY + MHz_u{40};
+constexpr MHz_u P80_CENTER_FREQUENCY = P40_CENTER_FREQUENCY + MHz_u{20};
+constexpr MHz_u S80_CENTER_FREQUENCY = P80_CENTER_FREQUENCY + MHz_u{80};
+constexpr MHz_u P160_CENTER_FREQUENCY = P80_CENTER_FREQUENCY + MHz_u{40};
 const Time smallDelta = NanoSeconds(1);
 // add small delta to be right after aCCATime, since test checks are scheduled before wifi events
 const Time aCcaTime = MicroSeconds(4) + smallDelta;
@@ -56,10 +56,10 @@
 };
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief PHY CCA thresholds test
+ * @brief PHY CCA thresholds test
  */
 class WifiPhyCcaThresholdsTest : public TestCase
 {
@@ -78,45 +78,45 @@
 
     /**
      * Create a dummy PSDU whose payload is 1000 bytes
-     * \return a dummy PSDU whose payload is 1000 bytes
+     * @return a dummy PSDU whose payload is 1000 bytes
      */
     Ptr<WifiPsdu> CreateDummyPsdu();
     /**
      * Create a non-HT PPDU
-     * \param channel the operating channel of the PHY used for the transmission
-     * \return a non-HT PPDU
+     * @param channel the operating channel of the PHY used for the transmission
+     * @return a non-HT PPDU
      */
     Ptr<OfdmPpdu> CreateDummyNonHtPpdu(const WifiPhyOperatingChannel& channel);
     /**
      * Create a HT PPDU
-     * \param bandwidth the bandwidth used for the transmission the PPDU
-     * \param channel the operating channel of the PHY used for the transmission
-     * \return a HT PPDU
+     * @param bandwidth the bandwidth used for the transmission the PPDU
+     * @param channel the operating channel of the PHY used for the transmission
+     * @return a HT PPDU
      */
     Ptr<HtPpdu> CreateDummyHtPpdu(MHz_u bandwidth, const WifiPhyOperatingChannel& channel);
     /**
      * Create a VHT PPDU
-     * \param bandwidth the bandwidth used for the transmission the PPDU
-     * \param channel the operating channel of the PHY used for the transmission
-     * \return a VHT PPDU
+     * @param bandwidth the bandwidth used for the transmission the PPDU
+     * @param channel the operating channel of the PHY used for the transmission
+     * @return a VHT PPDU
      */
     Ptr<VhtPpdu> CreateDummyVhtPpdu(MHz_u bandwidth, const WifiPhyOperatingChannel& channel);
     /**
      * Create a HE PPDU
-     * \param bandwidth the bandwidth used for the transmission the PPDU
-     * \param channel the operating channel of the PHY used for the transmission
-     * \return a HE PPDU
+     * @param bandwidth the bandwidth used for the transmission the PPDU
+     * @param channel the operating channel of the PHY used for the transmission
+     * @return a HE PPDU
      */
     Ptr<HePpdu> CreateDummyHePpdu(MHz_u bandwidth, const WifiPhyOperatingChannel& channel);
 
     /**
      * Function to verify the CCA threshold that is being reported by a given PHY entity upon
      * reception of a signal or a PPDU
-     * \param phy the PHY entity to verify
-     * \param ppdu the incoming PPDU or signal (if nullptr)
-     * \param channelType the channel list type that indicates which channel the PPDU or the
+     * @param phy the PHY entity to verify
+     * @param ppdu the incoming PPDU or signal (if nullptr)
+     * @param channelType the channel list type that indicates which channel the PPDU or the
      * signal occupies
-     * \param expectedCcaThreshold the CCA threshold that is expected to be reported
+     * @param expectedCcaThreshold the CCA threshold that is expected to be reported
      */
     void VerifyCcaThreshold(const Ptr<PhyEntity> phy,
                             const Ptr<const WifiPpdu> ppdu,
@@ -143,7 +143,7 @@
     : TestCase("Wi-Fi PHY CCA thresholds test"),
       m_CcaEdThreshold{-62.0},
       m_CcaSensitivity{-82.0},
-      m_secondaryCcaSensitivityThresholds{-72.0, -72.0, -69.0},
+      m_secondaryCcaSensitivityThresholds{dBm_u{-72}, dBm_u{-72}, dBm_u{-69}},
       m_obssPdLevel{-82.0}
 {
 }
@@ -168,7 +168,7 @@
                                          1,
                                          1,
                                          0,
-                                         20,
+                                         MHz_u{20},
                                          false);
     Ptr<WifiPsdu> psdu = CreateDummyPsdu();
     return Create<OfdmPpdu>(psdu, txVector, channel, 0);
@@ -235,7 +235,7 @@
                 << " in " << channelType << " channel: " << actualThreshold << "dBm");
     NS_TEST_EXPECT_MSG_EQ_TOL(actualThreshold,
                               expectedCcaThreshold,
-                              1e-6,
+                              dB_u{1e-6},
                               "Actual CCA threshold for "
                                   << (ppdu == nullptr ? "any signal" : "a PPDU") << " in "
                                   << channelType << " channel " << actualThreshold
@@ -260,9 +260,12 @@
     m_phy->SetInterferenceHelper(CreateObject<InterferenceHelper>());
     m_phy->AddChannel(CreateObject<MultiModelSpectrumChannel>());
 
-    auto channelNum =
-        WifiPhyOperatingChannel::FindFirst(0, 0, 160, WIFI_STANDARD_80211ax, WIFI_PHY_BAND_5GHZ)
-            ->number;
+    auto channelNum = WifiPhyOperatingChannel::FindFirst(0,
+                                                         MHz_u{0},
+                                                         MHz_u{160},
+                                                         WIFI_STANDARD_80211ax,
+                                                         WIFI_PHY_BAND_5GHZ)
+                          ->number;
     m_phy->SetOperatingChannel(WifiPhy::ChannelTuple{channelNum, 160, WIFI_PHY_BAND_5GHZ, 0});
     m_phy->ConfigureStandard(WIFI_STANDARD_80211ax);
 
@@ -320,14 +323,14 @@
     // HT PHY: 20 MHz HT PPDU in primary channel (20 MHz) if power in primary above CCA sensitivity
     // threshold
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_HT),
-                       CreateDummyHtPpdu(20, m_phy->GetOperatingChannel()),
+                       CreateDummyHtPpdu(MHz_u{20}, m_phy->GetOperatingChannel()),
                        WIFI_CHANLIST_PRIMARY,
                        m_CcaSensitivity);
 
     // HT PHY: 40 MHz HT PPDU in primary channel (20 MHz) if power in primary above CCA sensitivity
     // threshold
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_HT),
-                       CreateDummyHtPpdu(40, m_phy->GetOperatingChannel()),
+                       CreateDummyHtPpdu(MHz_u{40}, m_phy->GetOperatingChannel()),
                        WIFI_CHANLIST_PRIMARY,
                        m_CcaSensitivity);
 
@@ -349,41 +352,41 @@
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_VHT),
                        nullptr,
                        WIFI_CHANLIST_SECONDARY40,
-                       m_CcaEdThreshold + static_cast<dB_u>(3.0));
+                       m_CcaEdThreshold + dB_u{3.0});
 
     // VHT PHY: any signal in secondary80 channel (80 MHz) if power above CCA-ED threshold + 6dB
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_VHT),
                        nullptr,
                        WIFI_CHANLIST_SECONDARY80,
-                       m_CcaEdThreshold + static_cast<dB_u>(6.0));
+                       m_CcaEdThreshold + dB_u{6.0});
 
     //-----------------------------------------------------------------------------------------------------------------------------------
 
     // VHT PHY: 20 MHz VHT PPDU in primary channel (20 MHz) if power in primary above CCA
     // sensitivity threshold
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_VHT),
-                       CreateDummyVhtPpdu(20, m_phy->GetOperatingChannel()),
+                       CreateDummyVhtPpdu(MHz_u{20}, m_phy->GetOperatingChannel()),
                        WIFI_CHANLIST_PRIMARY,
                        m_CcaSensitivity);
 
     // VHT PHY: 40 MHz VHT PPDU in primary channel (20 MHz) if power in primary above CCA
     // sensitivity threshold
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_VHT),
-                       CreateDummyVhtPpdu(40, m_phy->GetOperatingChannel()),
+                       CreateDummyVhtPpdu(MHz_u{40}, m_phy->GetOperatingChannel()),
                        WIFI_CHANLIST_PRIMARY,
                        m_CcaSensitivity);
 
     // VHT PHY: 80 MHz VHT PPDU in primary channel (20 MHz) if power in primary above CCA
     // sensitivity threshold
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_VHT),
-                       CreateDummyVhtPpdu(80, m_phy->GetOperatingChannel()),
+                       CreateDummyVhtPpdu(MHz_u{80}, m_phy->GetOperatingChannel()),
                        WIFI_CHANLIST_PRIMARY,
                        m_CcaSensitivity);
 
     // VHT PHY: 160 MHz VHT PPDU in primary channel (20 MHz) if power in primary above CCA
     // sensitivity threshold
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_VHT),
-                       CreateDummyVhtPpdu(160, m_phy->GetOperatingChannel()),
+                       CreateDummyVhtPpdu(MHz_u{160}, m_phy->GetOperatingChannel()),
                        WIFI_CHANLIST_PRIMARY,
                        m_CcaSensitivity);
 
@@ -392,42 +395,42 @@
     // VHT PHY: 20 MHz VHT PPDU in secondary channel (20 MHz) if power above the CCA sensitivity
     // threshold corresponding to a 20 MHz PPDU that does not occupy the primary 20 MHz
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_VHT),
-                       CreateDummyVhtPpdu(20, m_phy->GetOperatingChannel()),
+                       CreateDummyVhtPpdu(MHz_u{20}, m_phy->GetOperatingChannel()),
                        WIFI_CHANLIST_SECONDARY,
                        std::get<0>(m_secondaryCcaSensitivityThresholds));
 
     // VHT PHY: 20 MHz VHT PPDU in secondary40 channel (40 MHz) if power above the CCA sensitivity
     // threshold corresponding to a 20 MHz PPDU that does not occupy the primary 20 MHz
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_VHT),
-                       CreateDummyVhtPpdu(20, m_phy->GetOperatingChannel()),
+                       CreateDummyVhtPpdu(MHz_u{20}, m_phy->GetOperatingChannel()),
                        WIFI_CHANLIST_SECONDARY40,
                        std::get<0>(m_secondaryCcaSensitivityThresholds));
 
     // VHT PHY: 40 MHz VHT PPDU in secondary40 channel (40 MHz) if power above the CCA sensitivity
     // threshold corresponding to a 40 MHz PPDU that does not occupy the primary 20 MHz
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_VHT),
-                       CreateDummyVhtPpdu(40, m_phy->GetOperatingChannel()),
+                       CreateDummyVhtPpdu(MHz_u{40}, m_phy->GetOperatingChannel()),
                        WIFI_CHANLIST_SECONDARY40,
                        std::get<1>(m_secondaryCcaSensitivityThresholds));
 
     // VHT PHY: 20 MHz VHT PPDU in secondary80 channel (80 MHz) if power above the CCA sensitivity
     // threshold corresponding to a 20 MHz PPDU that does not occupy the primary 20 MHz
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_VHT),
-                       CreateDummyVhtPpdu(20, m_phy->GetOperatingChannel()),
+                       CreateDummyVhtPpdu(MHz_u{20}, m_phy->GetOperatingChannel()),
                        WIFI_CHANLIST_SECONDARY80,
                        std::get<0>(m_secondaryCcaSensitivityThresholds));
 
     // VHT PHY: 40 MHz VHT PPDU in secondary80 channel (80 MHz) if power above the CCA sensitivity
     // threshold corresponding to a 40 MHz PPDU that does not occupy the primary 20 MHz
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_VHT),
-                       CreateDummyVhtPpdu(40, m_phy->GetOperatingChannel()),
+                       CreateDummyVhtPpdu(MHz_u{40}, m_phy->GetOperatingChannel()),
                        WIFI_CHANLIST_SECONDARY80,
                        std::get<1>(m_secondaryCcaSensitivityThresholds));
 
     // VHT PHY: 80 MHz VHT PPDU in secondary80 channel (80 MHz) if power above the CCA sensitivity
     // threshold corresponding to a 80 MHz PPDU that does not occupy the primary 20 MHz
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_VHT),
-                       CreateDummyVhtPpdu(80, m_phy->GetOperatingChannel()),
+                       CreateDummyVhtPpdu(MHz_u{80}, m_phy->GetOperatingChannel()),
                        WIFI_CHANLIST_SECONDARY80,
                        std::get<2>(m_secondaryCcaSensitivityThresholds));
 
@@ -449,41 +452,41 @@
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_HE),
                        nullptr,
                        WIFI_CHANLIST_SECONDARY40,
-                       m_CcaEdThreshold + static_cast<dB_u>(3.0));
+                       m_CcaEdThreshold + dB_u{3.0});
 
     // HE PHY: any signal in secondary80 channel (80 MHz) if power above CCA-ED threshold + 6dB
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_HE),
                        nullptr,
                        WIFI_CHANLIST_SECONDARY80,
-                       m_CcaEdThreshold + static_cast<dB_u>(6.0));
+                       m_CcaEdThreshold + dB_u{6.0});
 
     //-----------------------------------------------------------------------------------------------------------------------------------
 
     // HE PHY: 20 MHz HE PPDU in primary channel (20 MHz) if power in primary above CCA sensitivity
     // threshold
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_HE),
-                       CreateDummyHePpdu(20, m_phy->GetOperatingChannel()),
+                       CreateDummyHePpdu(MHz_u{20}, m_phy->GetOperatingChannel()),
                        WIFI_CHANLIST_PRIMARY,
                        m_CcaSensitivity);
 
     // HE PHY: 40 MHz HE PPDU in primary channel (20 MHz) if power in primary above CCA sensitivity
     // threshold
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_HE),
-                       CreateDummyHePpdu(40, m_phy->GetOperatingChannel()),
+                       CreateDummyHePpdu(MHz_u{40}, m_phy->GetOperatingChannel()),
                        WIFI_CHANLIST_PRIMARY,
                        m_CcaSensitivity);
 
     // HE PHY: 80 MHz HE PPDU in primary channel (20 MHz) if power in primary above CCA sensitivity
     // threshold
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_HE),
-                       CreateDummyHePpdu(80, m_phy->GetOperatingChannel()),
+                       CreateDummyHePpdu(MHz_u{80}, m_phy->GetOperatingChannel()),
                        WIFI_CHANLIST_PRIMARY,
                        m_CcaSensitivity);
 
     // HE PHY: 160 MHz HE PPDU in primary channel (20 MHz) if power in primary above CCA sensitivity
     // threshold
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_HE),
-                       CreateDummyHePpdu(160, m_phy->GetOperatingChannel()),
+                       CreateDummyHePpdu(MHz_u{160}, m_phy->GetOperatingChannel()),
                        WIFI_CHANLIST_PRIMARY,
                        m_CcaSensitivity);
 
@@ -493,7 +496,7 @@
     // sensitivity threshold corresponding to a 20 MHz PPDU that does not occupy the primary 20 MHz
     // and the OBSS-PD level
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_HE),
-                       CreateDummyHePpdu(20, m_phy->GetOperatingChannel()),
+                       CreateDummyHePpdu(MHz_u{20}, m_phy->GetOperatingChannel()),
                        WIFI_CHANLIST_SECONDARY,
                        std::max(m_obssPdLevel, std::get<0>(m_secondaryCcaSensitivityThresholds)));
 
@@ -501,113 +504,113 @@
     // sensitivity threshold corresponding to a 20 MHz PPDU that does not occupy the primary 20 MHz
     // and the OBSS-PD level
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_HE),
-                       CreateDummyHePpdu(20, m_phy->GetOperatingChannel()),
+                       CreateDummyHePpdu(MHz_u{20}, m_phy->GetOperatingChannel()),
                        WIFI_CHANLIST_SECONDARY40,
                        std::max(m_obssPdLevel, std::get<0>(m_secondaryCcaSensitivityThresholds)));
 
     // HE PHY: 40 MHz HE PPDU in secondary40 channel (40 MHz) if power above the max between the CCA
     // sensitivity threshold corresponding to a 40 MHz PPDU that does not occupy the primary 20 MHz
     // and the OBSS-PD level plus 3 dB
-    VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_HE),
-                       CreateDummyHePpdu(40, m_phy->GetOperatingChannel()),
-                       WIFI_CHANLIST_SECONDARY40,
-                       std::max(m_obssPdLevel + static_cast<dB_u>(3.0),
-                                std::get<1>(m_secondaryCcaSensitivityThresholds)));
+    VerifyCcaThreshold(
+        m_phy->GetPhyEntity(WIFI_MOD_CLASS_HE),
+        CreateDummyHePpdu(MHz_u{40}, m_phy->GetOperatingChannel()),
+        WIFI_CHANLIST_SECONDARY40,
+        std::max(m_obssPdLevel + dB_u{3.0}, std::get<1>(m_secondaryCcaSensitivityThresholds)));
 
     // HE PHY: 20 MHz HE PPDU in secondary80 channel (80 MHz) if power above the max between the CCA
     // sensitivity threshold corresponding to a 20 MHz PPDU that does not occupy the primary 20 MHz
     // and the OBSS-PD level
     VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_HE),
-                       CreateDummyHePpdu(20, m_phy->GetOperatingChannel()),
+                       CreateDummyHePpdu(MHz_u{20}, m_phy->GetOperatingChannel()),
                        WIFI_CHANLIST_SECONDARY80,
                        std::max(m_obssPdLevel, std::get<0>(m_secondaryCcaSensitivityThresholds)));
 
     // HE PHY: 40 MHz HE PPDU in secondary80 channel (80 MHz) if power above the max between the CCA
     // sensitivity threshold corresponding to a 40 MHz PPDU that does not occupy the primary 20 MHz
     // and the OBSS-PD level plus 3 dB
-    VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_HE),
-                       CreateDummyHePpdu(40, m_phy->GetOperatingChannel()),
-                       WIFI_CHANLIST_SECONDARY80,
-                       std::max(m_obssPdLevel + static_cast<dB_u>(3.0),
-                                std::get<1>(m_secondaryCcaSensitivityThresholds)));
+    VerifyCcaThreshold(
+        m_phy->GetPhyEntity(WIFI_MOD_CLASS_HE),
+        CreateDummyHePpdu(MHz_u{40}, m_phy->GetOperatingChannel()),
+        WIFI_CHANLIST_SECONDARY80,
+        std::max(m_obssPdLevel + dB_u{3.0}, std::get<1>(m_secondaryCcaSensitivityThresholds)));
 
     // HE PHY: 80 MHz HE PPDU in secondary80 channel (80 MHz) if power above the max between the CCA
     // sensitivity threshold corresponding to a 80 MHz PPDU that does not occupy the primary 20 MHz
     // and the OBSS-PD level plus 6 dB
-    VerifyCcaThreshold(m_phy->GetPhyEntity(WIFI_MOD_CLASS_HE),
-                       CreateDummyHePpdu(80, m_phy->GetOperatingChannel()),
-                       WIFI_CHANLIST_SECONDARY80,
-                       std::max(m_obssPdLevel + static_cast<dB_u>(6.0),
-                                std::get<2>(m_secondaryCcaSensitivityThresholds)));
+    VerifyCcaThreshold(
+        m_phy->GetPhyEntity(WIFI_MOD_CLASS_HE),
+        CreateDummyHePpdu(MHz_u{80}, m_phy->GetOperatingChannel()),
+        WIFI_CHANLIST_SECONDARY80,
+        std::max(m_obssPdLevel + dB_u{6.0}, std::get<2>(m_secondaryCcaSensitivityThresholds)));
 }
 
 void
 WifiPhyCcaThresholdsTest::DoRun()
 {
     // default attributes
-    m_CcaEdThreshold = -62.0;
-    m_CcaSensitivity = -82.0;
-    m_secondaryCcaSensitivityThresholds = std::make_tuple(-72.0, -72.0, -69.0);
-    m_obssPdLevel = -82.0;
+    m_CcaEdThreshold = dBm_u{-62};
+    m_CcaSensitivity = dBm_u{-82};
+    m_secondaryCcaSensitivityThresholds = std::make_tuple(dBm_u{-72}, dBm_u{-72}, dBm_u{-69});
+    m_obssPdLevel = dBm_u{-82};
     RunOne();
 
     // default attributes with OBSS-PD level set to -80 dBm
-    m_CcaEdThreshold = -62.0;
-    m_CcaSensitivity = -82.0;
-    m_secondaryCcaSensitivityThresholds = std::make_tuple(-72.0, -72.0, -69.0);
-    m_obssPdLevel = -80.0;
+    m_CcaEdThreshold = dBm_u{-62};
+    m_CcaSensitivity = dBm_u{-82};
+    m_secondaryCcaSensitivityThresholds = std::make_tuple(dBm_u{-72}, dBm_u{-72}, dBm_u{-69});
+    m_obssPdLevel = dBm_u{-80};
     RunOne();
 
     // default attributes with OBSS-PD level set to -70 dBm
-    m_CcaEdThreshold = -62.0;
-    m_CcaSensitivity = -82.0;
-    m_secondaryCcaSensitivityThresholds = std::make_tuple(-72.0, -72.0, -69.0);
-    m_obssPdLevel = -70.0;
+    m_CcaEdThreshold = dBm_u{-62};
+    m_CcaSensitivity = dBm_u{-82};
+    m_secondaryCcaSensitivityThresholds = std::make_tuple(dBm_u{-72}, dBm_u{-72}, dBm_u{-69});
+    m_obssPdLevel = dBm_u{-70};
     RunOne();
 
     // CCA-ED set to -65 dBm
-    m_CcaEdThreshold = -65.0;
-    m_CcaSensitivity = -82.0;
-    m_secondaryCcaSensitivityThresholds = std::make_tuple(-72.0, -72.0, -69.0);
-    m_obssPdLevel = -82.0;
+    m_CcaEdThreshold = dBm_u{-65};
+    m_CcaSensitivity = dBm_u{-82};
+    m_secondaryCcaSensitivityThresholds = std::make_tuple(dBm_u{-72}, dBm_u{-72}, dBm_u{-69});
+    m_obssPdLevel = dBm_u{-82};
     RunOne();
 
     // CCA sensitivity for signals in primary set to -75 dBm
-    m_CcaEdThreshold = -62.0;
-    m_CcaSensitivity = -75.0;
-    m_secondaryCcaSensitivityThresholds = std::make_tuple(-72.0, -72.0, -69.0);
-    m_obssPdLevel = -82.0;
+    m_CcaEdThreshold = dBm_u{-62};
+    m_CcaSensitivity = dBm_u{-75};
+    m_secondaryCcaSensitivityThresholds = std::make_tuple(dBm_u{-72}, dBm_u{-72}, dBm_u{-69});
+    m_obssPdLevel = dBm_u{-82};
     RunOne();
 
     // custom CCA sensitivities for signals not in primary
-    m_CcaEdThreshold = -62.0;
-    m_CcaSensitivity = -72.0;
-    m_secondaryCcaSensitivityThresholds = std::make_tuple(-70.0, -70.0, -70.0);
-    m_obssPdLevel = -82.0;
+    m_CcaEdThreshold = dBm_u{-62};
+    m_CcaSensitivity = dBm_u{-72};
+    m_secondaryCcaSensitivityThresholds = std::make_tuple(dBm_u{-70}, dBm_u{-70}, dBm_u{-70});
+    m_obssPdLevel = dBm_u{-82};
     RunOne();
 
     // custom CCA sensitivities for signals not in primary with OBSS-PD level set to -80 dBm
-    m_CcaEdThreshold = -62.0;
-    m_CcaSensitivity = -72.0;
-    m_secondaryCcaSensitivityThresholds = std::make_tuple(-70.0, -70.0, -70.0);
-    m_obssPdLevel = -80.0;
+    m_CcaEdThreshold = dBm_u{-62};
+    m_CcaSensitivity = dBm_u{-72};
+    m_secondaryCcaSensitivityThresholds = std::make_tuple(dBm_u{-70}, dBm_u{-70}, dBm_u{-70});
+    m_obssPdLevel = dBm_u{-80};
     RunOne();
 
     // custom CCA sensitivities for signals not in primary with OBSS-PD level set to -70 dBm
-    m_CcaEdThreshold = -62.0;
-    m_CcaSensitivity = -72.0;
-    m_secondaryCcaSensitivityThresholds = std::make_tuple(-70.0, -70.0, -70.0);
-    m_obssPdLevel = -70.0;
+    m_CcaEdThreshold = dBm_u{-62};
+    m_CcaSensitivity = dBm_u{-72};
+    m_secondaryCcaSensitivityThresholds = std::make_tuple(dBm_u{-70}, dBm_u{-70}, dBm_u{-70});
+    m_obssPdLevel = dBm_u{-70};
     RunOne();
 
     Simulator::Destroy();
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief PHY listener for CCA tests
+ * @brief PHY listener for CCA tests
  */
 class CcaTestPhyListener : public ns3::WifiPhyListener
 {
@@ -685,10 +688,10 @@
 };
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Wifi Phy Threshold Test base class
+ * @brief Wifi Phy Threshold Test base class
  */
 class WifiPhyCcaIndicationTest : public TestCase
 {
@@ -702,19 +705,19 @@
 
     /**
      * Send an HE SU PPDU
-     * \param txPower the transmit power
-     * \param frequency the center frequency the transmitter is operating on
-     * \param bandwidth the bandwidth to use for the transmission
+     * @param txPower the transmit power
+     * @param frequency the center frequency the transmitter is operating on
+     * @param bandwidth the bandwidth to use for the transmission
      */
     void SendHeSuPpdu(dBm_u txPower, MHz_u frequency, MHz_u bandwidth);
 
     /**
      * Start to generate a signal
-     * \param signalGenerator the signal generator to use
-     * \param txPower the transmit power
-     * \param frequency the center frequency of the signal to send
-     * \param bandwidth the bandwidth of the signal to send
-     * \param duration the duration of the signal
+     * @param signalGenerator the signal generator to use
+     * @param txPower the transmit power
+     * @param frequency the center frequency of the signal to send
+     * @param bandwidth the bandwidth of the signal to send
+     * @param duration the duration of the signal
      */
     void StartSignal(Ptr<WaveformGenerator> signalGenerator,
                      dBm_u txPower,
@@ -723,23 +726,23 @@
                      Time duration);
     /**
      * Stop to generate a signal
-     * \param signalGenerator the signal generator to use
+     * @param signalGenerator the signal generator to use
      */
     void StopSignal(Ptr<WaveformGenerator> signalGenerator);
 
     /**
      * Check the PHY state
-     * \param expectedState the expected state of the PHY
+     * @param expectedState the expected state of the PHY
      */
     void CheckPhyState(WifiPhyState expectedState);
-    /// \copydoc CheckPhyState
+    /// @copydoc CheckPhyState
     void DoCheckPhyState(WifiPhyState expectedState);
 
     /**
      * Check the last CCA-BUSY notification
-     * \param expectedEndTime the expected CCA-BUSY end time
-     * \param expectedChannelType the expected channel type
-     * \param expectedPer20MhzDurations the expected per-20 MHz CCA-BUSY durations
+     * @param expectedEndTime the expected CCA-BUSY end time
+     * @param expectedChannelType the expected channel type
+     * @param expectedPer20MhzDurations the expected per-20 MHz CCA-BUSY durations
      */
     void CheckLastCcaBusyNotification(Time expectedEndTime,
                                       WifiChannelListType expectedChannelType,
@@ -748,7 +751,7 @@
     /**
      * Log scenario description
      *
-     * \param log the scenario description to add to log
+     * @param log the scenario description to add to log
      */
     void LogScenario(const std::string& log) const;
 
@@ -798,11 +801,11 @@
 
     /**
      * Schedule test to perform.
-     * \param delay the reference delay to schedule the events
-     * \param generatedSignals the vector of signals to be generated
-     * \param generatedPpdus the vector of PPDUs to be generated
-     * \param stateCheckpoints the vector of PHY state checks
-     * \param ccaCheckpoints the vector of PHY CCA checks
+     * @param delay the reference delay to schedule the events
+     * @param generatedSignals the vector of signals to be generated
+     * @param generatedPpdus the vector of PPDUs to be generated
+     * @param stateCheckpoints the vector of PHY state checks
+     * @param ccaCheckpoints the vector of PHY CCA checks
      */
     void ScheduleTest(Time delay,
                       const std::vector<TxSignalInfo>& generatedSignals,
@@ -838,7 +841,7 @@
     : TestCase("Wi-Fi PHY CCA indication test"),
       m_numSignalGenerators(2),
       m_frequency(P20_CENTER_FREQUENCY),
-      m_channelWidth(20)
+      m_channelWidth(MHz_u{20})
 {
 }
 
@@ -852,15 +855,15 @@
     NS_LOG_FUNCTION(this << signalGenerator << txPower << frequency << bandwidth << duration);
 
     BandInfo bandInfo;
-    bandInfo.fc = frequency * 1e6;
-    bandInfo.fl = bandInfo.fc - ((bandwidth / 2) * 1e6);
-    bandInfo.fh = bandInfo.fc + ((bandwidth / 2) * 1e6);
+    bandInfo.fc = MHzToHz(frequency);
+    bandInfo.fl = bandInfo.fc - MHzToHz(bandwidth / 2);
+    bandInfo.fh = bandInfo.fc + MHzToHz(bandwidth / 2);
     Bands bands;
     bands.push_back(bandInfo);
 
     Ptr<SpectrumModel> spectrumSignal = Create<SpectrumModel>(bands);
     Ptr<SpectrumValue> signalPsd = Create<SpectrumValue>(spectrumSignal);
-    *signalPsd = DbmToW(txPower) / (bandwidth * 1e6);
+    *signalPsd = DbmToW(txPower) / MHzToHz(bandwidth);
 
     signalGenerator->SetTxPowerSpectralDensity(signalPsd);
     signalGenerator->SetPeriod(duration);
@@ -1105,9 +1108,9 @@
         WifiPhy::ChannelTuple{channelNum, m_channelWidth, WIFI_PHY_BAND_5GHZ, 0});
 
     std::vector<Time> expectedPer20MhzCcaBusyDurations{};
-    Time delay = Seconds(0.0);
+    Time delay;
     Simulator::Schedule(delay, &WifiPhyCcaIndicationTest::Reset, this);
-    delay += Seconds(1.0);
+    delay += Seconds(1);
 
     //----------------------------------------------------------------------------------------------------------------------------------
     // Verify PHY state stays IDLE and no CCA-BUSY indication is reported when a signal below the
@@ -1116,18 +1119,19 @@
                         &WifiPhyCcaIndicationTest::LogScenario,
                         this,
                         "Reception of a signal that occupies P20 below ED threshold");
-    ScheduleTest(delay,
-                 {{-65.0, MicroSeconds(0), MicroSeconds(100), P20_CENTER_FREQUENCY, 20}},
-                 {},
-                 {
-                     {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
-                     {MicroSeconds(100) - smallDelta,
-                      WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                     {MicroSeconds(100) + smallDelta,
-                      WifiPhyState::IDLE} // IDLE just after the transmission ends
-                 },
-                 {});
-    delay += Seconds(1.0);
+    ScheduleTest(
+        delay,
+        {{dBm_u{-65}, MicroSeconds(0), MicroSeconds(100), P20_CENTER_FREQUENCY, MHz_u{20}}},
+        {},
+        {
+            {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+            {MicroSeconds(100) - smallDelta,
+             WifiPhyState::IDLE}, // IDLE just before the transmission ends
+            {MicroSeconds(100) + smallDelta,
+             WifiPhyState::IDLE} // IDLE just after the transmission ends
+        },
+        {});
+    delay += Seconds(1);
 
     //----------------------------------------------------------------------------------------------------------------------------------
     // Verify PHY state is CCA-BUSY as long as a 20 MHz signal above the energy detection threshold
